# select

abstract fun select(candidate: ComponentVariantIdentifier): CapabilityResolutionDetails

Selects a particular candidate to solve the conflict. It is recommended to provide a human-readable explanation to the choice by calling the because method

#### Return

this details instance

#### Since

6.0

#### Parameters

candidate

the selected candidate

abstract fun select(notation: Any): CapabilityResolutionDetails

Selects a particular candidate to solve the conflict. It is recommended to provide a human-readable explanation to the choice by calling the because method

#### Return

this details instance

#### Parameters

notation

the selected candidate